BDU:2021-03728: Уязвимость компонента DBI интерпретатора языка программирования Perl, связанная с записью за границами буфера, позволяющая нарушителю нарушить целостность данных, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость компонента DBI интерпретатора языка программирования Perl связана с записью за границами буфера. Эксплуатация уязвимости может позволить нарушителю нарушить целостность данных, а также вызвать отказ в обслуживании
Вендор Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», АО «Концерн ВНИИНС»
Наименование ПО Debian GNU/Linux, Astra Linux Special Edition (запись в едином реестре российских программ №369), Astra Linux Common Edition (запись в едином реестре российских программ №4433), Astra Linux Special Edition для «Эльбрус» (запись в едином реестре российских программ №11156), Perl, ОС ОН «Стрелец» (запись в едином реестре российских программ №6177)
Версия ПО 9 (Debian GNU/Linux), 1.6 «Смоленск» (Astra Linux Special Edition), 8.0 (Debian GNU/Linux), 2.12 «Орёл» (Astra Linux Common Edition), 10 (Debian GNU/Linux), 8.1 «Ленинград» (Astra Linux Special Edition для «Эльбрус»), до 1.643 (Perl), до 16.01.2023 (ОС ОН «Стрелец»)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Запись за границами буфера
Идентификатор типа ошибки CWE-787
Класс уязвимости Уязвимость кода
Дата выявления 16.09.2020
Базовый вектор уязвимости
  • CVSS 2.0: AV:L/AC:L/Au:N/C:N/I:P/A:P
  • CVSS 3.0: AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:H
Уровень опасности уязвимости Низкий уровень опасности (базовая оценка CVSS 2.0 составляет 3,6) Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,1)
Возможные меры по устранению уязвимости
Для Perl:
Использование рекомендаций производителя: https://bugzilla.redhat.com/show_bug.cgi?id=1877409

Для Debian:
Использование рекомендаций производителя: https://security-tracker.debian.org/tracker/CVE-2020-14393

Для Astra Linux:
Использование рекомендаций производителя:
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20210730SE16
https://wiki.astralinux.ru/pages/viewpage.action?pageId=47416144
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20211019SE81

Для ОС ОН «Стрелец»:
Обновление программного обеспечения libdbi-perl до версии 1.636-1+deb9u2
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются